Package csb :: Package bio :: Package sequence :: Module alignment

[frames] | no frames]

# Module alignment

source code

Collection of sequence alignment algorithms.

Note: The classes in this module have been optimized for performance. Think twice before switching a field to a generally nicer property access, because it turns out that these things often add significant constants to the running time of a dynamic programming algorithm.

Classes
| AbstractAlignmentAlgorithm Base class for all sequence alignment algorithms.
| AbstractScoringMatrix Defines a pairwise sequence alignment scoring function.
| AlignmentResult Represents a pairwise sequence alignment result.
| GlobalAlignmentAlgorithm Needleman-Wunsch global sequence alignment.
| IdentityMatrix Simple identity-based scoring matrix.
| LocalAlignmentAlgorithm Smith-Waterman local sequence alignment.
| ResidueNotFoundError
| SimilarityMatrix Similarity scoring matrix.

Variables
| __package__ = ``'``csb.bio.sequence``'``